<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.environmentmonitor.mapper.EnvironmentMonitorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="environmentMonitorResultMap" type="org.springblade.smartapplication.environmentmonitor.entity.EnvironmentMonitor">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="device_no" property="deviceNo"/>
        <result column="device_name" property="deviceName"/>
        <result column="report_time" property="reportTime"/>
        <result column="temperature" property="temperature"/>
        <result column="humidity" property="humidity"/>
        <result column="pm25" property="pm25"/>
        <result column="pm10" property="pm10"/>
    </resultMap>


    <select id="selectEnvironmentMonitorPage" resultMap="environmentMonitorResultMap">
        select * from yc_environment_monitor where is_deleted = 0
    </select>

</mapper>
